<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

echo head ."Спам".div . katalog;

if ($_GET['err']==9)echo '<b>Не чего не выделено.</b>';
if ($_GET['err']==10)echo '<b>Ошибка при удаление выделеных писем.</b>';
if (isset($_GET['ok']))echo '<b>Выделеные письма успешно удалены.</b>';

$all = mysql_result(mysql_query("SELECT count(*) FROM mail WHERE `spam` = 1"), 0);

echo '<form action="mail.php?act=del2" method="post">';

if ( $all > 0 ) {
$onpage = 10;
$allpage = ceil($all/$onpage);
$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$start = $this_page*$onpage - $onpage;
$result = mysql_query("SELECT * FROM mail WHERE `spam` = 1 order by id desc  limit ".num($start).",".num($onpage)."");
while($a = mysql_fetch_assoc($result)){
$time =  t (( time() - $a['date'] ));
echo '<input type="checkbox"  name="check_del[]" value="'. $a['id'] .'"> От: '; echo user($a['ot_user']);
echo ' '.$time.'<br/>';
echo '<br/>Текст: '.$a['msg'].'<br/>';
echo 'Пожаловался: '.user($a['userspam']).'<hr>';
}
echo main2 . '<b>Страницы:</b> ';
navigation($allpage,"mail.php?act=saves&p={p}",1,1);
echo '<br/ ><input type="submit" class="ibutton" value="Удалить выделеное"/></form><br /><br />';
echo '<a href="spam.php?act=sbros">Отменить весь спам</a><br/>';
} else {
    echo 'Список сообщений пуст';
}


if ( $_GET['act'] == 'del2' ) {
if  (!isset($_POST['check_del'])) {
header('Location: spam.php?err=9');
}

$check_del = $_POST['check_del'];
$col = 0;
foreach  ($check_del as $check) {
$col  = $col + 1;

if(mysql_query("DELETE FROM `mail` WHERE `id` = '".(int)$check."' and `to_user` = '".$id_session."'"))
{
header('Location: spam.php?ok');
}
 else
{
header('Location: spam.php?err=10');
}
}

}

if ( $_GET['act'] == 'sbros' ) {
    mysql_query("UPDATE `mail` SET `spam` = '0'");
}



navig();
foot();

?>